diff --git a/tests-ui/tests/composables/widgets/useManagerQueue.test.ts b/tests-ui/tests/composables/widgets/useManagerQueue.test.ts
index 30af37f30..964c0686b 100644
--- a/tests-ui/tests/composables/widgets/useManagerQueue.test.ts
+++ b/tests-ui/tests/composables/widgets/useManagerQueue.test.ts
@@ -1,39 +1,49 @@
 import { afterEach, beforeEach, describe, expect, it, vi } from 'vitest'
-import { nextTick } from 'vue'
+import { ref } from 'vue'
 
 import { useManagerQueue } from '@/composables/useManagerQueue'
-import { api } from '@/scripts/api'
+import { components } from '@/types/generatedManagerTypes'
 
-vi.mock('@/scripts/api', () => ({
-  api: {
-    addEventListener: vi.fn(),
-    removeEventListener: vi.fn(),
-    dispatchEvent: vi.fn()
+// Mock dialog service
+vi.mock('@/services/dialogService', () => ({
+  useDialogService: () => ({
+    showManagerProgressDialog: vi.fn()
+  })
+}))
+
+// Mock the app API
+vi.mock('@/scripts/app', () => ({
+  app: {
+    api: {
+      addEventListener: vi.fn(),
+      removeEventListener: vi.fn(),
+      clientId: 'test-client-id'
+    }
   }
 }))
 
+type ManagerTaskHistory = Record<
+  string,
+  components['schemas']['TaskHistoryItem']
+>
+type ManagerTaskQueue = components['schemas']['TaskStateMessage']
+
 describe('useManagerQueue', () => {
-  const createMockTask = (result: any = 'result') => ({
-    task: vi.fn().mockResolvedValue(result),
-    onComplete: vi.fn()
-  })
+  let taskHistory: any
+  let taskQueue: any
+  let installedPacks: any
 
-  const createQueueWithMockTask = () => {
-    const queue = useManagerQueue()
-    const mockTask = createMockTask()
-    queue.enqueueTask(mockTask)
-    return { queue, mockTask }
-  }
-
-  const getEventListenerCallback = () =>
-    vi.mocked(api.addEventListener).mock.calls[0][1]
-
-  const simulateServerStatus = async (status: 'done' | 'in_progress') => {
-    const event = new CustomEvent('cm-queue-status', {
-      detail: { status }
+  const createManagerQueue = () => {
+    taskHistory = ref<ManagerTaskHistory>({})
+    taskQueue = ref<ManagerTaskQueue>({
+      history: {},
+      running_queue: [],
+      pending_queue: [],
+      installed_packs: {}
     })
-    getEventListenerCallback()!(event as any)
-    await nextTick()
+    installedPacks = ref({})
+
+    return useManagerQueue(taskHistory, taskQueue, installedPacks)
   }
 
   beforeEach(() => {
@@ -45,285 +55,111 @@ describe('useManagerQueue', () => {
   })
 
   describe('initialization', () => {
-    it('should initialize with empty queue and DONE status', () => {
-      const queue = useManagerQueue()
+    it('should initialize with empty state', () => {
+      const queue = createManagerQueue()
 
-      expect(queue.queueLength.value).toBe(0)
-      expect(queue.statusMessage.value).toBe('done')
+      expect(queue.currentQueueLength.value).toBe(0)
       expect(queue.allTasksDone.value).toBe(true)
+      expect(queue.isProcessing.value).toBe(false)
+      expect(queue.historyCount.value).toBe(0)
     })
   })
 
-  describe('queue management', () => {
-    it('should add tasks to the queue', () => {
-      const queue = useManagerQueue()
-      const mockTask = createMockTask()
+  describe('task state management', () => {
+    it('should track task queue length', () => {
+      const queue = createManagerQueue()
 
-      queue.enqueueTask(mockTask)
+      // Add tasks to queue
+      taskQueue.value.running_queue = [
+        {
+          ui_id: 'task1',
+          client_id: 'test-client-id',
+          task_name: 'Installing pack1'
+        }
+      ]
+      taskQueue.value.pending_queue = [
+        {
+          ui_id: 'task2',
+          client_id: 'test-client-id',
+          task_name: 'Installing pack2'
+        }
+      ]
 
-      expect(queue.queueLength.value).toBe(1)
+      expect(queue.currentQueueLength.value).toBe(2)
       expect(queue.allTasksDone.value).toBe(false)
     })
 
-    it('should clear the queue when clearQueue is called', () => {
-      const queue = useManagerQueue()
+    it('should handle empty queues', () => {
+      const queue = createManagerQueue()
 
-      // Add some tasks
-      queue.enqueueTask(createMockTask())
-      queue.enqueueTask(createMockTask())
+      taskQueue.value.running_queue = []
+      taskQueue.value.pending_queue = []
 
-      expect(queue.queueLength.value).toBe(2)
-
-      // Clear the queue
-      queue.clearQueue()
-
-      expect(queue.queueLength.value).toBe(0)
+      expect(queue.currentQueueLength.value).toBe(0)
       expect(queue.allTasksDone.value).toBe(true)
     })
   })
 
-  describe('server status handling', () => {
-    it('should update server status when receiving websocket events', async () => {
-      const queue = useManagerQueue()
+  describe('task history management', () => {
+    it('should track task history count', () => {
+      const queue = createManagerQueue()
 
-      await simulateServerStatus('in_progress')
-
-      expect(queue.statusMessage.value).toBe('in_progress')
-      expect(queue.allTasksDone.value).toBe(false)
-    })
-
-    it('should handle invalid status values gracefully', async () => {
-      const queue = useManagerQueue()
-
-      // Simulate an invalid status
-      const event = new CustomEvent('cm-queue-status', {
-        detail: null as any
-      })
-
-      getEventListenerCallback()!(event)
-      await nextTick()
-
-      // Should maintain the default status
-      expect(queue.statusMessage.value).toBe('done')
-    })
-
-    it('should handle missing status property gracefully', async () => {
-      const queue = useManagerQueue()
-
-      // Simulate a detail object without status property
-      const event = new CustomEvent('cm-queue-status', {
-        detail: { someOtherProperty: 'value' } as any
-      })
-
-      getEventListenerCallback()!(event)
-      await nextTick()
-
-      // Should maintain the default status
-      expect(queue.statusMessage.value).toBe('done')
-    })
-  })
-
-  describe('task execution', () => {
-    it('should start the next task when server is idle and queue has items', async () => {
-      const { queue, mockTask } = createQueueWithMockTask()
-
-      await simulateServerStatus('done')
-
-      // Task should have been started
-      expect(mockTask.task).toHaveBeenCalled()
-      expect(queue.queueLength.value).toBe(0)
-    })
-
-    it('should execute onComplete callback when task completes and server becomes idle', async () => {
-      const { mockTask } = createQueueWithMockTask()
-
-      // Start the task
-      await simulateServerStatus('done')
-      expect(mockTask.task).toHaveBeenCalled()
-
-      // Simulate task completion
-      await mockTask.task.mock.results[0].value
-
-      // Simulate server cycle (in_progress -> done)
-      await simulateServerStatus('in_progress')
-      expect(mockTask.onComplete).not.toHaveBeenCalled()
-
-      await simulateServerStatus('done')
-      expect(mockTask.onComplete).toHaveBeenCalled()
-    })
-
-    it('should handle tasks without onComplete callback', async () => {
-      const queue = useManagerQueue()
-      const mockTask = { task: vi.fn().mockResolvedValue('result') }
-
-      queue.enqueueTask(mockTask)
-
-      // Start the task
-      await simulateServerStatus('done')
-      expect(mockTask.task).toHaveBeenCalled()
-
-      // Simulate task completion
-      await mockTask.task.mock.results[0].value
-
-      // Simulate server cycle
-      await simulateServerStatus('in_progress')
-      await simulateServerStatus('done')
-
-      // Should not throw errors even without onComplete
-      expect(queue.allTasksDone.value).toBe(true)
-    })
-
-    it('should process multiple tasks in sequence', async () => {
-      const queue = useManagerQueue()
-      const mockTask1 = createMockTask('result1')
-      const mockTask2 = createMockTask('result2')
-
-      // Add tasks to the queue
-      queue.enqueueTask(mockTask1)
-      queue.enqueueTask(mockTask2)
-      expect(queue.queueLength.value).toBe(2)
-
-      // Process first task
-      await simulateServerStatus('done')
-      expect(mockTask1.task).toHaveBeenCalled()
-      expect(queue.queueLength.value).toBe(1)
-
-      // Complete first task
-      await mockTask1.task.mock.results[0].value
-      await simulateServerStatus('in_progress')
-      await simulateServerStatus('done')
-      expect(mockTask1.onComplete).toHaveBeenCalled()
-
-      // Process second task
-      expect(mockTask2.task).toHaveBeenCalled()
-      expect(queue.queueLength.value).toBe(0)
-
-      // Complete second task
-      await mockTask2.task.mock.results[0].value
-      await simulateServerStatus('in_progress')
-      await simulateServerStatus('done')
-      expect(mockTask2.onComplete).toHaveBeenCalled()
-
-      // Queue should be empty and all tasks done
-      expect(queue.queueLength.value).toBe(0)
-      expect(queue.allTasksDone.value).toBe(true)
-    })
-
-    it('should handle task that returns rejected promise', async () => {
-      const queue = useManagerQueue()
-      const mockTask = {
-        task: vi.fn().mockRejectedValue(new Error('Task failed')),
-        onComplete: vi.fn()
+      taskHistory.value = {
+        task1: {
+          ui_id: 'task1',
+          client_id: 'test-client-id',
+          status: { status_str: 'success', completed: true }
+        },
+        task2: {
+          ui_id: 'task2',
+          client_id: 'test-client-id',
+          status: { status_str: 'success', completed: true }
+        }
       }
 
-      queue.enqueueTask(mockTask)
+      expect(queue.historyCount.value).toBe(2)
+    })
 
-      // Start the task
-      await simulateServerStatus('done')
-      expect(mockTask.task).toHaveBeenCalled()
+    it('should filter tasks by client ID', () => {
+      const queue = createManagerQueue()
 
-      // Let the promise rejection happen
-      try {
-        await mockTask.task()
-      } catch (e) {
-        // Ignore the error
+      const mockState = {
+        history: {
+          task1: {
+            ui_id: 'task1',
+            client_id: 'test-client-id', // This client
+            kind: 'install',
+            timestamp: '2024-01-01T00:00:00Z',
+            result: 'success',
+            status: {
+              status_str: 'success' as const,
+              completed: true,
+              messages: []
+            }
+          },
+          task2: {
+            ui_id: 'task2',
+            client_id: 'other-client-id', // Different client
+            kind: 'install',
+            timestamp: '2024-01-01T00:00:00Z',
+            result: 'success',
+            status: {
+              status_str: 'success' as const,
+              completed: true,
+              messages: []
+            }
+          }
+        },
+        running_queue: [],
+        pending_queue: [],
+        installed_packs: {}
       }
 
-      // Simulate server cycle
-      await simulateServerStatus('in_progress')
-      await simulateServerStatus('done')
+      queue.updateTaskState(mockState)
 
-      // onComplete should still be called for failed tasks
-      expect(mockTask.onComplete).toHaveBeenCalled()
-    })
-
-    it('should handle multiple multiple tasks enqueued at once while server busy', async () => {
-      const queue = useManagerQueue()
-      const mockTask1 = createMockTask()
-      const mockTask2 = createMockTask()
-      const mockTask3 = createMockTask()
-
-      // Three tasks enqueued at once
-      await simulateServerStatus('in_progress')
-      await Promise.all([
-        queue.enqueueTask(mockTask1),
-        queue.enqueueTask(mockTask2),
-        queue.enqueueTask(mockTask3)
-      ])
-
-      // Task 1
-      await simulateServerStatus('done')
-      expect(mockTask1.task).toHaveBeenCalled()
-
-      // Verify state of onComplete callbacks
-      expect(mockTask1.onComplete).toHaveBeenCalled()
-      expect(mockTask2.onComplete).not.toHaveBeenCalled()
-      expect(mockTask3.onComplete).not.toHaveBeenCalled()
-
-      // Verify state of queue
-      expect(queue.queueLength.value).toBe(2)
-      expect(queue.allTasksDone.value).toBe(false)
-
-      // Task 2
-      await simulateServerStatus('in_progress')
-      await simulateServerStatus('done')
-      expect(mockTask2.task).toHaveBeenCalled()
-
-      // Verify state of onComplete callbacks
-      expect(mockTask2.onComplete).toHaveBeenCalled()
-      expect(mockTask3.onComplete).not.toHaveBeenCalled()
-
-      // Verify state of queue
-      expect(queue.queueLength.value).toBe(1)
-      expect(queue.allTasksDone.value).toBe(false)
-
-      // Task 3
-      await simulateServerStatus('in_progress')
-      await simulateServerStatus('done')
-
-      // Verify state of onComplete callbacks
-      expect(mockTask3.task).toHaveBeenCalled()
-      expect(mockTask3.onComplete).toHaveBeenCalled()
-
-      // Verify state of queue
-      expect(queue.queueLength.value).toBe(0)
-      expect(queue.allTasksDone.value).toBe(true)
-    })
-
-    it('should handle adding tasks while processing is in progress', async () => {
-      const queue = useManagerQueue()
-      const mockTask1 = createMockTask()
-      const mockTask2 = createMockTask()
-
-      // Add first task and start processing
-      queue.enqueueTask(mockTask1)
-      await simulateServerStatus('done')
-      expect(mockTask1.task).toHaveBeenCalled()
-
-      // Add second task while first is processing
-      queue.enqueueTask(mockTask2)
-      expect(queue.queueLength.value).toBe(1)
-
-      // Complete first task
-      await mockTask1.task.mock.results[0].value
-      await simulateServerStatus('in_progress')
-      await simulateServerStatus('done')
-
-      // Second task should now be processed
-      expect(mockTask2.task).toHaveBeenCalled()
-    })
-
-    it('should handle server status changes without tasks in queue', async () => {
-      const queue = useManagerQueue()
-
-      // Cycle server status without any tasks
-      await simulateServerStatus('in_progress')
-      await simulateServerStatus('done')
-      await simulateServerStatus('in_progress')
-      await simulateServerStatus('done')
-
-      // Should not cause any errors
-      expect(queue.allTasksDone.value).toBe(true)
+      // Should only include task from this client
+      expect(taskHistory.value).toHaveProperty('task1')
+      expect(taskHistory.value).not.toHaveProperty('task2')
     })
   })
 })
diff --git a/tests-ui/tests/store/comfyManagerStore.test.ts b/tests-ui/tests/store/comfyManagerStore.test.ts
index 41ead3532..b377c258b 100644
--- a/tests-ui/tests/store/comfyManagerStore.test.ts
+++ b/tests-ui/tests/store/comfyManagerStore.test.ts
@@ -4,15 +4,47 @@ import { nextTick, ref } from 'vue'
 
 import { useComfyManagerService } from '@/services/comfyManagerService'
 import { useComfyManagerStore } from '@/stores/comfyManagerStore'
-import {
-  InstalledPacksResponse,
-  ManagerPackInstalled
-} from '@/types/comfyManagerTypes'
+import { components as ManagerComponents } from '@/types/generatedManagerTypes'
+
+type InstalledPacksResponse =
+  ManagerComponents['schemas']['InstalledPacksResponse']
+type ManagerChannel = ManagerComponents['schemas']['ManagerChannel']
+type ManagerDatabaseSource =
+  ManagerComponents['schemas']['ManagerDatabaseSource']
+type ManagerPackInstalled = ManagerComponents['schemas']['ManagerPackInstalled']
 
 vi.mock('@/services/comfyManagerService', () => ({
   useComfyManagerService: vi.fn()
 }))
 
+vi.mock('@/services/dialogService', () => ({
+  useDialogService: () => ({
+    showManagerProgressDialog: vi.fn()
+  })
+}))
+
+vi.mock('@/composables/useManagerQueue', () => {
+  const enqueueTaskMock = vi.fn()
+
+  return {
+    useManagerQueue: () => ({
+      statusMessage: ref(''),
+      allTasksDone: ref(false),
+      enqueueTask: enqueueTaskMock,
+      isProcessingTasks: ref(false)
+    }),
+    enqueueTask: enqueueTaskMock
+  }
+})
+
+vi.mock('@/composables/useServerLogs', () => ({
+  useServerLogs: () => ({
+    startListening: vi.fn(),
+    stopListening: vi.fn(),
+    logs: ref([])
+  })
+}))
+
 vi.mock('vue-i18n', () => ({
   useI18n: () => ({
     t: vi.fn((key) => key)
@@ -33,11 +65,7 @@ interface EnabledDisabledTestCase {
 }
 
 describe('useComfyManagerStore', () => {
-  let mockManagerService: {
-    isLoading: ReturnType<typeof ref<boolean>>
-    error: ReturnType<typeof ref<string | null>>
-    listInstalledPacks: ReturnType<typeof vi.fn>
-  }
+  let mockManagerService: ReturnType<typeof useComfyManagerService>
 
   const triggerPacksChange = async (
     installedPacks: InstalledPacksResponse,
@@ -55,10 +83,22 @@ describe('useComfyManagerStore', () => {
     mockManagerService = {
       isLoading: ref(false),
       error: ref(null),
-      listInstalledPacks: vi.fn().mockResolvedValue({})
+      startQueue: vi.fn().mockResolvedValue(null),
+      getQueueStatus: vi.fn().mockResolvedValue(null),
+      getTaskHistory: vi.fn().mockResolvedValue(null),
+      listInstalledPacks: vi.fn().mockResolvedValue({}),
+      getImportFailInfo: vi.fn().mockResolvedValue(null),
+      getImportFailInfoBulk: vi.fn().mockResolvedValue({}),
+      installPack: vi.fn().mockResolvedValue(null),
+      uninstallPack: vi.fn().mockResolvedValue(null),
+      enablePack: vi.fn().mockResolvedValue(null),
+      disablePack: vi.fn().mockResolvedValue(null),
+      updatePack: vi.fn().mockResolvedValue(null),
+      updateAllPacks: vi.fn().mockResolvedValue(null),
+      rebootComfyUI: vi.fn().mockResolvedValue(null),
+      isLegacyManagerUI: vi.fn().mockResolvedValue(false)
     }
 
-    // @ts-expect-error Mocking the return type of useComfyManagerService
     vi.mocked(useComfyManagerService).mockReturnValue(mockManagerService)
   })
 
@@ -313,4 +353,90 @@ describe('useComfyManagerStore', () => {
       }
     )
   })
+
+  describe.skip('isPackInstalling', () => {
+    it('should return false for packs not being installed', () => {
+      const store = useComfyManagerStore()
+      expect(store.isPackInstalling('test-pack')).toBe(false)
+      expect(store.isPackInstalling(undefined)).toBe(false)
+      expect(store.isPackInstalling('')).toBe(false)
+    })
+
+    it('should track pack as installing when installPack is called', async () => {
+      const store = useComfyManagerStore()
+
+      // Call installPack
+      await store.installPack.call({
+        id: 'test-pack',
+        repository: 'https://github.com/test/test-pack',
+        channel: 'dev' as ManagerChannel,
+        mode: 'cache' as ManagerDatabaseSource,
+        selected_version: 'latest',
+        version: 'latest'
+      })
+
+      // Check that the pack is marked as installing
+      expect(store.isPackInstalling('test-pack')).toBe(true)
+    })
+
+    it('should remove pack from installing list when explicitly removed', async () => {
+      const store = useComfyManagerStore()
+
+      // Call installPack
+      await store.installPack.call({
+        id: 'test-pack',
+        repository: 'https://github.com/test/test-pack',
+        channel: 'dev' as ManagerChannel,
+        mode: 'cache' as ManagerDatabaseSource,
+        selected_version: 'latest',
+        version: 'latest'
+      })
+
+      // Verify pack is installing
+      expect(store.isPackInstalling('test-pack')).toBe(true)
+
+      // Call installPack again for another pack to demonstrate multiple installs
+      await store.installPack.call({
+        id: 'another-pack',
+        repository: 'https://github.com/test/another-pack',
+        channel: 'dev' as ManagerChannel,
+        mode: 'cache' as ManagerDatabaseSource,
+        selected_version: 'latest',
+        version: 'latest'
+      })
+
+      // Both should be installing
+      expect(store.isPackInstalling('test-pack')).toBe(true)
+      expect(store.isPackInstalling('another-pack')).toBe(true)
+    })
+
+    it('should track multiple packs installing independently', async () => {
+      const store = useComfyManagerStore()
+
+      // Install pack 1
+      await store.installPack.call({
+        id: 'pack-1',
+        repository: 'https://github.com/test/pack-1',
+        channel: 'dev' as ManagerChannel,
+        mode: 'cache' as ManagerDatabaseSource,
+        selected_version: 'latest',
+        version: 'latest'
+      })
+
+      // Install pack 2
+      await store.installPack.call({
+        id: 'pack-2',
+        repository: 'https://github.com/test/pack-2',
+        channel: 'dev' as ManagerChannel,
+        mode: 'cache' as ManagerDatabaseSource,
+        selected_version: 'latest',
+        version: 'latest'
+      })
+
+      // Both should be installing
+      expect(store.isPackInstalling('pack-1')).toBe(true)
+      expect(store.isPackInstalling('pack-2')).toBe(true)
+      expect(store.isPackInstalling('pack-3')).toBe(false)
+    })
+  })
 })
diff --git a/tests-ui/tests/stores/conflictDetectionStore.test.ts b/tests-ui/tests/stores/conflictDetectionStore.test.ts
new file mode 100644
index 000000000..875079227
--- /dev/null
+++ b/tests-ui/tests/stores/conflictDetectionStore.test.ts
@@ -0,0 +1,271 @@
+import { createPinia, setActivePinia } from 'pinia'
+import { beforeEach, describe, expect, it } from 'vitest'
+
+import { useConflictDetectionStore } from '@/stores/conflictDetectionStore'
+import type { ConflictDetectionResult } from '@/types/conflictDetectionTypes'
+
+describe('useConflictDetectionStore', () => {
+  beforeEach(() => {
+    setActivePinia(createPinia())
+  })
+
+  const mockConflictedPackages: ConflictDetectionResult[] = [
+    {
+      package_id: 'ComfyUI-Manager',
+      package_name: 'ComfyUI-Manager',
+      has_conflict: true,
+      is_compatible: false,
+      conflicts: [
+        {
+          type: 'pending',
+          current_value: 'no_registry_data',
+          required_value: 'registry_data_available'
+        }
+      ]
+    },
+    {
+      package_id: 'comfyui-easy-use',
+      package_name: 'comfyui-easy-use',
+      has_conflict: true,
+      is_compatible: false,
+      conflicts: [
+        {
+          type: 'comfyui_version',
+          current_value: '0.3.43',
+          required_value: '<0.3.40'
+        }
+      ]
+    },
+    {
+      package_id: 'img2colors-comfyui-node',
+      package_name: 'img2colors-comfyui-node',
+      has_conflict: true,
+      is_compatible: false,
+      conflicts: [
+        {
+          type: 'banned',
+          current_value: 'installed',
+          required_value: 'not_banned'
+        }
+      ]
+    }
+  ]
+
+  describe('initial state', () => {
+    it('should have empty initial state', () => {
+      const store = useConflictDetectionStore()
+
+      expect(store.conflictedPackages).toEqual([])
+      expect(store.isDetecting).toBe(false)
+      expect(store.lastDetectionTime).toBeNull()
+      expect(store.hasConflicts).toBe(false)
+    })
+  })
+
+  describe('setConflictedPackages', () => {
+    it('should set conflicted packages', () => {
+      const store = useConflictDetectionStore()
+
+      store.setConflictedPackages(mockConflictedPackages)
+
+      expect(store.conflictedPackages).toEqual(mockConflictedPackages)
+      expect(store.conflictedPackages).toHaveLength(3)
+    })
+
+    it('should update hasConflicts computed property', () => {
+      const store = useConflictDetectionStore()
+
+      expect(store.hasConflicts).toBe(false)
+
+      store.setConflictedPackages(mockConflictedPackages)
+
+      expect(store.hasConflicts).toBe(true)
+    })
+  })
+
+  describe('getConflictsForPackageByID', () => {
+    it('should find package by exact ID match', () => {
+      const store = useConflictDetectionStore()
+      store.setConflictedPackages(mockConflictedPackages)
+
+      const result = store.getConflictsForPackageByID('ComfyUI-Manager')
+
+      expect(result).toBeDefined()
+      expect(result?.package_id).toBe('ComfyUI-Manager')
+      expect(result?.conflicts).toHaveLength(1)
+    })
+
+    it('should return undefined for non-existent package', () => {
+      const store = useConflictDetectionStore()
+      store.setConflictedPackages(mockConflictedPackages)
+
+      const result = store.getConflictsForPackageByID('non-existent-package')
+
+      expect(result).toBeUndefined()
+    })
+  })
+
+  describe('bannedPackages', () => {
+    it('should filter packages with banned conflicts', () => {
+      const store = useConflictDetectionStore()
+      store.setConflictedPackages(mockConflictedPackages)
+
+      const bannedPackages = store.bannedPackages
+
+      expect(bannedPackages).toHaveLength(1)
+      expect(bannedPackages[0].package_id).toBe('img2colors-comfyui-node')
+    })
+
+    it('should return empty array when no banned packages', () => {
+      const store = useConflictDetectionStore()
+      const noBannedPackages = mockConflictedPackages.filter(
+        (pkg) => !pkg.conflicts.some((c) => c.type === 'banned')
+      )
+      store.setConflictedPackages(noBannedPackages)
+
+      const bannedPackages = store.bannedPackages
+
+      expect(bannedPackages).toHaveLength(0)
+    })
+  })
+
+  describe('securityPendingPackages', () => {
+    it('should filter packages with pending conflicts', () => {
+      const store = useConflictDetectionStore()
+      store.setConflictedPackages(mockConflictedPackages)
+
+      const securityPendingPackages = store.securityPendingPackages
+
+      expect(securityPendingPackages).toHaveLength(1)
+      expect(securityPendingPackages[0].package_id).toBe('ComfyUI-Manager')
+    })
+  })
+
+  describe('clearConflicts', () => {
+    it('should clear all conflicted packages', () => {
+      const store = useConflictDetectionStore()
+      store.setConflictedPackages(mockConflictedPackages)
+
+      expect(store.conflictedPackages).toHaveLength(3)
+      expect(store.hasConflicts).toBe(true)
+
+      store.clearConflicts()
+
+      expect(store.conflictedPackages).toEqual([])
+      expect(store.hasConflicts).toBe(false)
+    })
+  })
+
+  describe('detection state management', () => {
+    it('should set detecting state', () => {
+      const store = useConflictDetectionStore()
+
+      expect(store.isDetecting).toBe(false)
+
+      store.setDetecting(true)
+
+      expect(store.isDetecting).toBe(true)
+
+      store.setDetecting(false)
+
+      expect(store.isDetecting).toBe(false)
+    })
+
+    it('should set last detection time', () => {
+      const store = useConflictDetectionStore()
+      const timestamp = '2024-01-01T00:00:00Z'
+
+      expect(store.lastDetectionTime).toBeNull()
+
+      store.setLastDetectionTime(timestamp)
+
+      expect(store.lastDetectionTime).toBe(timestamp)
+    })
+  })
+
+  describe('reactivity', () => {
+    it('should update computed properties when conflicted packages change', () => {
+      const store = useConflictDetectionStore()
+
+      // Initially no conflicts
+      expect(store.hasConflicts).toBe(false)
+      expect(store.bannedPackages).toHaveLength(0)
+
+      // Add conflicts
+      store.setConflictedPackages(mockConflictedPackages)
+
+      // Computed properties should update
+      expect(store.hasConflicts).toBe(true)
+      expect(store.bannedPackages).toHaveLength(1)
+      expect(store.securityPendingPackages).toHaveLength(1)
+
+      // Clear conflicts
+      store.clearConflicts()
+
+      // Computed properties should update again
+      expect(store.hasConflicts).toBe(false)
+      expect(store.bannedPackages).toHaveLength(0)
+      expect(store.securityPendingPackages).toHaveLength(0)
+    })
+  })
+
+  describe('edge cases', () => {
+    it('should handle empty conflicts array', () => {
+      const store = useConflictDetectionStore()
+      store.setConflictedPackages([])
+
+      expect(store.conflictedPackages).toEqual([])
+      expect(store.hasConflicts).toBe(false)
+      expect(store.bannedPackages).toHaveLength(0)
+      expect(store.securityPendingPackages).toHaveLength(0)
+    })
+
+    it('should handle packages with multiple conflict types', () => {
+      const store = useConflictDetectionStore()
+      const multiConflictPackage: ConflictDetectionResult = {
+        package_id: 'multi-conflict-package',
+        package_name: 'Multi Conflict Package',
+        has_conflict: true,
+        is_compatible: false,
+        conflicts: [
+          {
+            type: 'banned',
+            current_value: 'installed',
+            required_value: 'not_banned'
+          },
+          {
+            type: 'pending',
+            current_value: 'no_registry_data',
+            required_value: 'registry_data_available'
+          }
+        ]
+      }
+
+      store.setConflictedPackages([multiConflictPackage])
+
+      // Should appear in both banned and security pending
+      expect(store.bannedPackages).toHaveLength(1)
+      expect(store.securityPendingPackages).toHaveLength(1)
+      expect(store.bannedPackages[0].package_id).toBe('multi-conflict-package')
+      expect(store.securityPendingPackages[0].package_id).toBe(
+        'multi-conflict-package'
+      )
+    })
+
+    it('should handle packages with has_conflict false', () => {
+      const store = useConflictDetectionStore()
+      const noConflictPackage: ConflictDetectionResult = {
+        package_id: 'no-conflict-package',
+        package_name: 'No Conflict Package',
+        has_conflict: false,
+        is_compatible: true,
+        conflicts: []
+      }
+
+      store.setConflictedPackages([noConflictPackage])
+
+      // hasConflicts should check has_conflict property
+      expect(store.hasConflicts).toBe(false)
+    })
+  })
+})
